### Enumeration

# Gimp ChannelOps

unstable since: 3.0

#### Declaration

    enum Gimp.ChannelOps

#### Description [src]

Operations to combine channels and selections.

Available since: 3.0

#### Members

`GIMP_CHANNEL_OP_ADD`

  Add to the current selection.

  - Value: `0`
  - Nickname: `add`
  - Available since: 3.0
`GIMP_CHANNEL_OP_SUBTRACT`

  Subtract from the current selection.

  - Value: `1`
  - Nickname: `subtract`
  - Available since: 3.0
`GIMP_CHANNEL_OP_REPLACE`

  Replace the current selection.

  - Value: `2`
  - Nickname: `replace`
  - Available since: 3.0
`GIMP_CHANNEL_OP_INTERSECT`

  Intersect with the current selection.

  - Value: `3`
  - Nickname: `intersect`
  - Available since: 3.0